# Outil d'écriture inclusive en français

Cette extension Chrome convertit le texte sélectionné pour utiliser le point médian inclusif (·) via un menu contextuel.

## Fonctionnalités

*   Conversion du texte sélectionné en écriture inclusive (point médian).
*   Intégration via le menu contextuel du navigateur.

## Installation

Suivez ces étapes pour installer et utiliser l'extension dans votre navigateur Chrome.

### Prérequis

*   [Docker](https://www.docker.com/get-started) : Utilisé pour construire l'extension dans un environnement isolé.

### Étapes de construction

1.  **Cloner le dépôt** (si ce n'est pas déjà fait) :
    ```bash
    git clone [URL_DE_VOTRE_DEPOT]
    cd point-median-extension
    ```
    *(Remplacez `[URL_DE_VOTRE_DEPOT]` par l'URL réelle de votre dépôt Git.)*

2.  **Construire l'extension** :
    Exécutez le script de construction. Cela va créer un dossier `output/point-median-extension` contenant tous les fichiers nécessaires à l'extension.
    ```bash
    ./build.sh
    ```

### Chargement de l'extension dans Chrome

1.  **Ouvrez Chrome** et naviguez vers `chrome://extensions`.
2.  **Activez le "Mode développeur"** en basculant l'interrupteur situé en haut à droite de la page.
3.  Cliquez sur le bouton **"Charger l'extension non empaquetée"** (Load unpacked).
4.  Dans la boîte de dialogue qui apparaît, naviguez jusqu'au répertoire de votre projet et sélectionnez le dossier `output/point-median-extension` que vous avez créé à l'étape de construction.
5.  L'extension "Outil d'écriture inclusive en français" devrait maintenant apparaître dans votre liste d'extensions.

### Utilisation

1.  Sélectionnez du texte sur n'importe quelle page web.
2.  Faites un clic droit sur le texte sélectionné.
3.  Dans le menu contextuel, sélectionnez **"Convertir en écriture inclusive"**.
4.  Le texte sélectionné sera remplacé par sa version inclusive.

## Dépannage

Si l'extension ne fonctionne pas comme prévu, vérifiez la console du navigateur (Ctrl+Maj+I ou Cmd+Option+I, puis onglet "Console") et la console du service worker de l'extension (cliquez sur "Inspecter la vue" ou "Service Worker" sous l'extension dans `chrome://extensions`) pour d'éventuels messages d'erreur.
